unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, QuickRpt, QRCtrls, ExtCtrls, StdCtrls, Printers;

type
  TPRINTForm = class(TForm)
    PRINTQuickRep: TQuickRep;
    PRINTQRBand: TQRBand;
    Button1: TButton;
    QRLabel1: TQRLabel;
    QRLabel2: TQRLabel;
    procedure PRINTQuickRepNeedData(Sender: TObject; var MoreData: Boolean);
    procedure Button1Click(Sender: TObject);
    procedure PRINTQuickRepBeforePrint(Sender: TCustomQuickRep;
      var PrintReport: Boolean);
  private
    { Private declarations }
    iPage : integer;
 public
    { Public declarations }
    iPicHeight,iPicWidth:integer;
    sPicFileName:string;
  end;

var
  PRINTForm: TPRINTForm;

implementation

{$R *.dfm}

procedure TPRINTForm.PRINTQuickRepNeedData(Sender: TObject; var MoreData: Boolean);
begin
  if iPage > 1 then
    MoreData := False
  else
    MoreData := True;
  Inc(iPage);
end;

procedure TPRINTForm.Button1Click(Sender: TObject);
begin
  PRINTQuickRep.Preview;
end;

procedure TPRINTForm.PRINTQuickRepBeforePrint(Sender: TCustomQuickRep;
  var PrintReport: Boolean);
begin
  iPage := 0;
  QRLabel1.Caption := '        ѥq              WVƤu~ѥq';
  QRLabel2.Caption := '                                  ORIENTAL GIANT DYES & CHEMICAL IND.                 AUD        990.08';
end;

end.
